Package ch.qos.logback.access.net

# Class SSLSocketAppender

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.AppenderBase<E>
ch.qos.logback.core.net.AbstractSocketAppender<E>
ch.qos.logback.core.net.AbstractSSLSocketAppender<IAccessEvent>
ch.qos.logback.access.net.SSLSocketAppender

All Implemented Interfaces:
  `Appender<IAccessEvent>`, `SocketConnector.ExceptionHandler`, `SSLComponent`, `ContextAware`, `FilterAttachable<IAccessEvent>`, `LifeCycle`

public class SSLSocketAppender extends AbstractSSLSocketAppender<IAccessEvent>
A `SocketAppender` that supports SSL.

For more information on this appender, please refer to the online manual at http://logback.qos.ch/manual/appenders.html#SSLSocketAppender

Author:
  Carl Harris

## Field Summary

### Fields inherited from class ch.qos.logback.core.net.AbstractSocketAppender

`DEFAULT_PORT, DEFAULT_QUEUE_SIZE, DEFAULT_RECONNECTION_DELAY`

### Fields inherited from class ch.qos.logback.core.AppenderBase

`name, started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`SSLSocketAppender()`

## Method Summary

Modifier and Type
Method
Description
`PreSerializationTransformer<IAccessEvent>`
`getPST()`
Get the pre-serialization transformer that will be used to transform each event into a Serializable object before delivery to the remote receiver.
`protected void`
`postProcessEvent(IAccessEvent event)`
Post-processes an event before it is serialized for delivery to the remote receiver.

### Methods inherited from class ch.qos.logback.core.net.AbstractSSLSocketAppender

`getSocketFactory, getSsl, setSsl, start`

### Methods inherited from class ch.qos.logback.core.net.AbstractSocketAppender

`append, connectionFailed, getEventDelayLimit, getPort, getQueueSize, getReconnectionDelay, getRemoteHost, newConnector, setEventDelayLimit, setPort, setQueueSize, setReconnectionDelay, setRemoteHost, stop`

### Methods inherited from class ch.qos.logback.core.AppenderBase

`addFilter, clearAllFilters, doAppend, getCopyOfAttachedFiltersList, getFilterChainDecision, getName, isStarted, setName, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

## Constructor Details

### SSLSocketAppender

public SSLSocketAppender()

## Method Details

### postProcessEvent

protected void postProcessEvent(IAccessEvent event)
Description copied from class: `AbstractSocketAppender`
Post-processes an event before it is serialized for delivery to the remote receiver.

Specified by:
  `postProcessEvent` in class `AbstractSocketAppender<IAccessEvent>`
Parameters:
  `event` - the event to post-process

### getPST

public PreSerializationTransformer<IAccessEvent> getPST()
Description copied from class: `AbstractSocketAppender`
Get the pre-serialization transformer that will be used to transform each event into a Serializable object before delivery to the remote receiver.

Specified by:
  `getPST` in class `AbstractSocketAppender<IAccessEvent>`
Returns:
  transformer object